---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
---
Help:
- requires:
    cluster_features:
    - "gte_v7.12.0"
    reason: "output format changed in 7.12.0"
- do:
    cat.plugins:
      help: true
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    $body: "/^   id          .+   \\n\n     name        .+   \\n\n     component \
      \  .+   \\n\n     version     .+   \\n\n     description .+   \\n\n.*$/\n"
